Notifications
Clear all

Firmware update for Mini (from 4.3.4 to 5.1.0)  

  RSS
Wilson Kong
(@wilson-kong)
Active Member
Firmware update for Mini (from 4.3.4 to 5.1.0)

Took me a while to update from 4.3.4 firmware to 5.1.0 so I thought I make a post about it.

1) Had to make sure the USB is FAT32 format. The USB that came from the printer didn't work. I found an old USB that happened to work. Also note that not all USBs can be formatted to be FAT32. FAT32 can only be used to format drives between 2GB and 32GB (on Windows).

2) Update from 4.3.4 to 4.4.0 and make sure to have both .bbf files. (firmware and bootloader update) https://help.prusa3d.com/downloads/mini/firmware

3) Update from 4.4.0 o 4.4.1. Again with both .bbf files.

4) Update from 4.4.1 to 5.1.0. This time with only 1 .bbf file, they should all have English but each file includes a secondary language, so pick whichever.

5) Make sure to update your slicer and add the Input shaper printer profile.

 

When you go from 4.3.4 to 4.4.0, as long as your USB is actually formatted correctly and can be recognised by the printer then you should have no problem. If this doesn't work then it's probably an issue with the printer not being able to recognise the USB. I think you could use an SD card with a USB converter as well.

I did notice that the print quality dropped after I updated the firmware. It dropped SIGNIFICANTLY without input shaper, and with input shaper it's still not as nice as before but definitely a whole lot faster. I'm sure these are issues that will be resolved.

Best Answer by n33kos:

Thank you very much for taking the time to post this! It helped me upgrade from 4.3.4 to 5.1.2!

When I went to upgrade I got an error stating that I was attempting to update to a firmware version not supported by this buddy board version (this is paraphrased, I don't remember the exact message.)

For anyone else following this upgrade path I was able to go straight from 4.4.1 to 5.1.2. I haven't looked into it very deeply but I'm guessing there were some significant changes to the bootloader and firmware in versions 4.4.0 and 4.4.1 which were preventing the newer versions from being recognized as compatible.

Posted : 18/12/2023 12:15 am
Crazy_Ali, G0MJW, n33kos and 1 people liked
n33kos
(@n33kos)
Member
RE:

Thank you very much for taking the time to post this! It helped me upgrade from 4.3.4 to 5.1.2!

When I went to upgrade I got an error stating that I was attempting to update to a firmware version not supported by this buddy board version (this is paraphrased, I don't remember the exact message.)

For anyone else following this upgrade path I was able to go straight from 4.4.1 to 5.1.2. I haven't looked into it very deeply but I'm guessing there were some significant changes to the bootloader and firmware in versions 4.4.0 and 4.4.1 which were preventing the newer versions from being recognized as compatible.

This post was modified 4 months ago by n33kos
Posted : 22/12/2023 9:58 pm
Laynor
(@laynor)
Active Member
RE:

how do you add  the "Input shaper printer profile" ?

it doesn't appear in my dropdown list 🤷‍♂️

This post was modified 4 months ago by Laynor
Posted : 23/12/2023 12:47 pm
_KaszpiR_
(@_kaszpir_)
Reputable Member
RE: Firmware update for Mini (from 4.3.4 to 5.1.0)

PrusaSlicer menu on the top, Configuration, Configuration Wizard.

See my GitHub and printables.com for some 3d stuff that you may like.

Posted : 24/12/2023 9:39 am
Wilson Kong
(@wilson-kong)
Active Member
Topic starter answered:
RE: Firmware update for Mini (from 4.3.4 to 5.1.0)

No worries, @n33kos I struggled because the official guide didn't address this issue. So I thought I'd make a post about it! 🙂

I did update to 5.1.2 a few days after I made this post as well! I think 4.4.1 to 5.1.2 is the way to go.

** UPDATED for 4.3.4 to 5.1.2**

1) Make sure the USB is FAT32 format. The USB that came from the printer didn't work. I found an old USB that happened to work. Also note that not all USBs can be formatted to be FAT32. FAT32 can only be used to format drives between 2GB and 32GB (on Windows).

2) Update from 4.3.4 to 4.4.0 and make sure to have both .bbf files. (firmware and bootloader update)  https://help.prusa3d.com/downloads/mini/firmware

3) Update from 4.4.0 o 4.4.1. Again with both .bbf files.

4) Update from 4.4.1 to 5.1.2. This time with only 1 .bbf file.

5) Make sure to update your slicer and add the Input shaper printer profile.

Input shaper printer profile can be added via:

- Configuration -> Configuration Wizard -> Prusa FFF, scroll down to MINI Family and selecting the "Original Prusa MINI  & MINI + Input Shaper" with your nozzle size (0.4mm nozzle is default)

OR

- Little cog icon next to the "Printers:" in the right hand panel -> Add/Remove presets -> scroll down to MINI Family and selecting the "Original Prusa MINI  & MINI + Input Shaper" with your nozzle size (0.4mm nozzle is default)

Posted : 01/01/2024 11:39 pm
G0MJW
(@g0mjw)
Active Member
RE: Firmware update for Mini (from 4.3.4 to 5.1.0)

Thanks for that. There was absolutely nothing on the firmware page nor in the github to tell you what was required. There is also no inclination of which language version to load for English, perhaps doesn't matter but very poor form really. I was also on 4.3.4 and it wasn't that long ago I updated. This will catch many people out, especially as the new slicer by default now uses a new binary format that doesn't work properly with 4.3.4.

Posted : 14/01/2024 7:09 pm
George
(@george-14)
Member
RE: Firmware update for Mini (from 4.3.4 to 5.1.0)

Can I go from firmware 4.2.1 to 5.1.2?

Posted : 25/01/2024 1:01 pm
sowilo
(@sowilo)
Member
RE: Firmware update for Mini (from 4.3.4 to 5.1.0)

Thank you, this was incredibly helpful! Was able to update from 4.3.4 to 5.1.2 by copying all the intermediary update files onto the drive that came with the printer. At one point I got a corrupted message but just removed the files that had already installed on the printer from the drive, tried again, and it worked fine. 

Posted : 12/03/2024 9:40 pm
sowilo
(@sowilo)
Member
RE: Firmware update for Mini (from 4.3.4 to 5.1.0)

Update: The print quality was so much worse, with or without input shaper, that I have since reverted to FW 4.3.4 and Slicer 2.6.1. 

Posted : 13/03/2024 3:43 pm
Share: